BDU:2019-02967: Уязвимость функции node_cache.find_node() демона аппаратного самоанализа Ironic Inspector платформы для создания облачных сервисов OpenStack, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции node_cache.find_node() демона аппаратного самоанализа Ironic Inspector SDN-платформы OpenStack связана с непринятием мер по защите структуры запроса SQL. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Вендор Red Hat Inc., Сообщество свободного программного обеспечения
Наименование ПО OpenStack, Ironic Inspector
Версия ПО
  • 9.0 (OpenStack)
  • 10.0 (OpenStack)
  • 13.0 (OpenStack)
  • 14.0 (OpenStack)
  • до 5.0.2 (Ironic Inspector)
  • от 5.1.0 до 6.0.3 (Ironic Inspector)
  • от 6.1.0 до 7.2.4 (Ironic Inspector)
  • от 8.0.0 до 8.0.3 (Ironic Inspector)
  • от 8.1.0 до 8.2.1 (Ironic Inspector)
Тип ПО Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Непринятие мер по защите структуры запроса SQL (атаки типа \"внедрение SQL\")
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 15.05.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,4)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,1)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Инъекция
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения